.module DELAY
.area CODE

.include "stm8s103f.s"
.equ LEN, 10

.globl _uart_rx_irq
_uart_rx_irq:
    btjt UART1_SR,#3,clear_OR_flag      ; if OR flag is set
    ld a,UART1_DR                       ; get received byte and clear RXNE flag
    cp a,#0x0d                            ; if received char == CR
    jreq null_Terminate
    cp a,#0x0a                            ; if received char == '\n'
    jreq null_Terminate
    ldw x,_index
    cpw x,#LEN
    jreq quit
    ld (_buf,x),a
    inc _index+1
    iret
clear_OR_flag:                          ; if OR flag is set, then clear it
    ld a,UART1_DR
    ld a,UART1_SR
null_Terminate:
    ldw x,_index
    clr (_buf,x)                        ; set NULL/EOL
quit:
    ; set READY flag for main loop
    bset _ready,#0                       ; was received EOL
    iret

; input parameter: X
.globl _uart1_print_number
_uart1_print_number:
    ldw x,(03,sp)
    pushw y
    ldw y,sp
    push #0
uart1_print_num_loop:
    ld a, #10
    div x,a
    add a,#0x30
    push a
    tnzw x
    jrne uart1_print_num_loop
    ldw x,sp
    incw x
    pushw x
    call _uart1_print_string
    ldw sp,y
    popw y
    ret

.globl _delay
_delay:
l0:
    ldw y, #0x0fa0      ; -> 2000 (1ms, 16Mhz)
l1:
    subw y,#1
    jrne l1
    decw x
    jrne l0
    ret

