#include "uart1.h"
#define LED 5
#define buf_len 10

extern uint8_t EOL;
extern void uart_rx_irq(void) __interrupt(18);
extern void delay(uint16_t value);

char buf[buf_len];
//uint8_t EOL;
uint16_t index;
uint8_t ready;

uint16_t i=10;

int main( void )
{
    //----------- Setup Clock ----------------------
    // fCPU =16MHz
    CLK_CKDIVR=0;
    // enable UART and turn off other  peripherals
    CLK_PCKENR1=0; CLK_PCKENR2=0;
    CLK_PCKENR1|=(1<<3);    // enable UART1
    //----------- Setup GPIO -----------------------
    PB_DDR|=(1<<LED);   // set PushPull mode
    PB_CR1|=(1<<LED);   // for PB5
    //----------- Setup UART1 ----------------------
    // Clear
    UART1_CR1=0; UART1_CR2=0; UART1_CR3=0; UART1_CR4=0;
    UART1_CR5=0; UART1_GTR=0; UART1_PSCR=0;
    // setup UART1
    UART1_CR1|=(1<<5);      // set UARTD, UART1 disable
    // 9600 Baud Rate, when fMASTER=16MHz
    //UART1_BRR2=0x03
    //UART1_BRR1=0x68
    // 115200 Baud Rate, when fMASTER=16MHz
    UART1_BRR2=0x0b;
    UART1_BRR1=0x08;
    // 230400 Baud Rate, when fMASTER=16MHz
    //UART1_BRR2=0x05;
    //UART1_BRR1=0x04;
    // 460800 Baud Rate, when fMASTER=16MHz
    //UART1_BRR2=0x03;
    //UART1_BRR1=0x02;
    // 921600 Baud Rate, when fMASTER=16MHz
    //UART1_BRR2=0x01;
    //UART1_BRR1=0x01;
    // Trasmission and Receiver Enable
    UART1_CR2|=(1<<3);      // set TEN, Transmission Enable
    UART1_CR2 |=(1<<2);     // set REN, Receiver is Enable
    UART1_CR2 |=(1<<5);     // set RIEN, Enable Receiver Interrupt
    // enable UART1
    UART1_CR1 &=~(1<<5);    // clear UARTD, UART1 enable
    __asm__ ("rim\n");      // enable inteerupt
    // let's go..
    //EOL=0;
    ready=index=0;
    for(;;){
        if (ready) {
            print_str(buf);
            for(uint8_t j=0; j<buf_len;j++) buf[j]=0;
            send_char('\n');
            ready=index=0;
        }

        PB_ODR ^= (1<<LED);

        if ((++i%16) == 0) {
            print_str("count: ");
            print_num(i);
            send_char('\n');
        }
        delay(100);
    }
}
